#!/bin/bash

# make sure can use the cli
cd test

# run the tool without FEC file
WITHOUT_INPUT_EXIT_CODE=$(../index.js ; echo $?)

# and make sure we get an error
if [ $WITHOUT_INPUT_EXIT_CODE -ne 1 ]
then
  exit 1
fi

# run the tool
../index.js sample.fec

# get the number of resulting CSV files
NUMBER_OF_GENERATED_FILES=$(ls -l *.csv | wc -l)

# cleanup any resulting files
rm *.csv

# with the sample.fec file we expect
# 10 CSV files to be generated
if [ $NUMBER_OF_GENERATED_FILES -ne 10 ]
then
  exit 1
fi

# passed all tests! 🎉
exit 0